Bug 178798 - Web Inspector: Canvas Tab: main WebGL canvas on acko.net has no reported size
Summary: Web Inspector: Canvas Tab: main WebGL canvas on acko.net has no reported size
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL: http://acko.net
Keywords: InRadar
Depends on:
Blocks: WebInspectorCanvasTab
  Show dependency treegraph
 
Reported: 2017-10-25 09:48 PDT by Brian Burg
Modified: 2018-03-16 00:01 PDT (History)
7 users (show)

See Also:


Attachments
Screenshot (481.93 KB, image/png)
2017-10-25 09:49 PDT, Brian Burg
no flags Details
Patch (6.64 KB, patch)
2018-03-15 20:16 PDT, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2017-10-25 09:48:04 PDT
STR:

1. Load acko.net
2. Open Web Inpector, Canvas Tab
=> Canvas 2 has no dimensions.

Obviously, we are drawing the result buffer at a specific width/height, so that should be listed if the canvas element does not exist or has no size attributes.
Comment 1 Radar WebKit Bug Importer 2017-10-25 09:48:28 PDT
<rdar://problem/35175740>
Comment 2 Brian Burg 2017-10-25 09:49:19 PDT
Created attachment 324835 [details]
Screenshot
Comment 3 Devin Rousso 2018-03-15 20:16:32 PDT
Created attachment 335921 [details]
Patch

I'm putting this up for now to see how EWS reacts, but I plan on writing a test for this.
Comment 4 Brian Burg 2018-03-15 22:19:16 PDT
Comment on attachment 335921 [details]
Patch

r=me
Comment 5 Brian Burg 2018-03-15 22:23:39 PDT
(In reply to Devin Rousso from comment #3)
> Created attachment 335921 [details]
> Patch
> 
> I'm putting this up for now to see how EWS reacts, but I plan on writing a
> test for this.

Writing a test => needs to reload test page => test will be flaky. Just don't bother. :| :| :|
Comment 6 WebKit Commit Bot 2018-03-16 00:01:06 PDT
Comment on attachment 335921 [details]
Patch

Clearing flags on attachment: 335921

Committed r229659: <https://trac.webkit.org/changeset/229659>
Comment 7 WebKit Commit Bot 2018-03-16 00:01:08 PDT
All reviewed patches have been landed.  Closing bug.